Welcome

Keysight U1816x USB Coaxial Switch Dual SP6T, DC to 26.5GHz

Soft Front Panel Help File

Soft Front Panel Type your expanding text here.

The U1816x USB coaxial switch Soft Front Panel (SFP) is a graphical interface that helps you with the following tasks:

  • Connect to the U1816x

  • Operate the U1816x

  • Configure the user defined sequence

  • View or clear the cycle count

  • Reset the U1816x

  • Monitor driver calls

The U1816x USB coaxial switch Operating and Service Manual provides the instructions for installing the SFP. After the SFP has been installed, you can launch it from your desktop by double-clicking the SFP icon, or from Start > All Programs > Keysight > U1816x > U1816x SFP.


Getting Started

This section contains the following topics that help you to familiarize with the U1816x and the SFP environment.

  • Product Description

  • SFP Tour


Product Description

The Keysight U1816x (U1816A/C/E/F) is a USB-controlled switch matrix that consists of two single-pole-six-throw (SP6T) switches. The following figure shows the SP6T simplified schematics.

The U1816A, U1816C, U1816E and U1816F operate from DC to 8 GHz, DC to 26.5 GHz, DC to 50 GHz and DC to 67 GHz respectively. Both models support the standard plug-and-play functionality of typical USB devices. The unique combination of excellent RF performance with the convenience of USB connectivity presents an invaluable alternative for you to increase the efficiency of your test systems.

This USB switch enables the switching of multiple signal paths without physically changing the connections. This allows multiple tests to be performed with the same setup, eliminating the need for frequent connects and disconnects. An entire testing process can be automated, increasing the throughput in high-volume production environments.


SFP Tour

The SFP provides an easy-to-use interface for controlling the U1816x. The following table gives an overview of the main SFP interface.

No.

Item

Description

1

Menu bar

  • The File menu consists of the following functions:

  • Close: Closes this window and returns to the Connect To U1816x window.

  • Exit: Exits the SFP.

  • The Utility menu consists of the following functions:

  • Cycle Count: Opens the Cycle Count window.

  • Reset: Resets the U1816x.

  • Driver Call Log: Opens the Driver Call Log window.

  • The Help menu consists of the following functions:

  • Help: Opens this help file.

  • Online Support: Opens the USB switch Web interface.

  • Firmware Revision: Displays the current firmware revision of the U1816x.

  • About: Opens the SFP information window.

2

Refresh button

Refreshes the SFP. During the refresh operation, a message will appear to inform you not to connect or disconnect any USB devices.

3

User Defined Sequence button

Opens the U1816x User Defined Sequence window which allows you to configure the switching sequence.

4

Switch relays

Performs switching of the U1816x when a port is clicked.

5

Open All button

Disconnects all switch ports.

6

Status indicator

Displays the operating status.


How To...

This section contains the following topics that guide you on how to operate the SFP.

  • Connect to the U1816x

  • Operate the U1816x

  • Configure the User Defined Sequence

  • View or Clear the Cycle Count

  • Reset the U1816x

  • Monitor Driver Calls


Connect to the U1816x

The following procedures describe how to connect to the U1816x and to use the simulation mode.

To connect to the U1816x

  1. Upon launching the SFP, the Connect To U1816x window will appear as shown below.

  2. Click the Actual radio button. Then click Connect to access the main interface which will display the connected U1816x switch diagram.

To use the simulation mode

  1. On the Connect To U1816x window as shown above, click the Simulation radio button. The simulation mode can be used when the U1816x is not connected to the PC.

  2. Click Simulate to access the main interface of the U1816x.


Operate the U1816x

On the U1816x main interface as shown below, click any port of 1 to 6 to make a connection with the common (COM) port.

To disconnect all ports, click Open All.

To configure the switching sequence, click User Defined Sequence. Refer to Configure the User Defined Sequence for details.


Configure the User Defined Sequence

On the U1816x User Defined Sequence window as shown below, you can set the sequence to perform switching.

  • The Sequence table allows you to select among Ports 1 to 6 or Open All for the connected switches. You can also click to edit the Sequence field or to specify the time delay for each sequence at the Wait (mSec) field.

  • The Sequence Programming area allows you to add or delete a sequence by selecting the entire row and clicking the respective buttons. You can also specify the number of times to repeat the entire sequence at the Loop field.

  • The Sequence Execution area allows you to run, pause, step across, or stop the sequence by clicking the respective buttons. If you disconnect a switch and then you click Run/Pause, a warning message will prompt you to delete the data entry for that switch. If you choose not to delete, the data entry field will be highlighted in blue.

  • For each switching operation, the cycle Counter will increment one switch cycle.

  • The Refresh button ( [image]) when clicked allows you to update the table if there are any switches being connected or disconnected. If you disconnect a switch and then you click the Refresh button, a warning message will prompt you to delete the data entry for that switch. If you choose not to delete, the data entry field will be highlighted in blue.

  • You can view the switch status by clicking the Display Switches check box. To close the display, clear the check box.

  • The status indicator at the bottom of the window displays the switch operating status.

  • The << Main Panel button when clicked allows you to return to the main interface. A message will prompt you to save the current data before exiting.

  • The menu bar provides additional functions as described below:

No.

Menu Bar Item

Function Description

1

Program

  • New: Opens a new table. This new table will replace the existing table.

  • Save: Saves the existing table data to a file at “<user’s personal folder>\Keysight U1816x\Sequence”. If you click Open Path, you will be directed to all the saved table data files at “<user’s personal folder>\Keysight U1816x\Sequence”.

  • Recall: Recalls a saved table data file to use. The table data will be displayed in the existing table. If you disconnect a switch, a message will prompt you to swap with another available switch. Select the switch and click Swap. If you choose not to swap, the data field of the disconnected switch will be displayed in blue. If you click Delete, the data field of the disconnected switch will be deleted from the table.

  • Delete: Deletes a saved table data file.

  • Export: Exports the commands of the User Defined Sequence functions to a text file.

  • Close: Closes this window and returns to the main interface.

2

Utility

Cycle Count: Displays the cycle count for all connected U1816x switches

3

Help

  • Help: Opens this help file.

  • Online Support: Opens the USB switch Web interface.

  • About: Opens the SFP information window.


View or Clear the Cycle Count

A full cycle count refers to a complete switching from one port to another and back to the previous stage. The cycle count is incremented per each complete switching sequence. The cycle count is used to track and determine the expected life of the switch relay.

The following procedure describes how to view or clear the cycle count for the U1816x:

  1. On the Keysight U1816x SFP window, click Utility > Cycle Count from the menu bar to open the Cycle Count window, as shown below.

  2. Click Switch 1 or Switch 2 to permanently clear the cycle count for the respective switch.


Reset the U1816x

On the Keysight U1816x SFP window, click Utility > Reset from the menu bar to reset all U1816x switch ports to the open state.


Monitor Driver Calls

The Driver Call Log allows you to identify the commands required to operate the U1816x. Each log entry corresponds to an operation triggered via the SFP.

The following procedure describes how to view and clear driver calls from the driver call log:

  1. On the Keysight U1816x SFP window, click Utility > Driver Call Log from the menu bar to open the Driver Call Log window, as shown below.

  2. Click Clear Log to erase all the driver calls from the log.


Related Documentation

To access the documentation related to the U1816x, use one of the following methods:

  • Browse the product CD.

  • Visit the product Web site (www.keysight.com/find/USBswitch)

  • Go to Start > Programs > Keysight > U1816x: Provides links to all product documentation.